DESCRIPTION = "U-Boot for K&K boards."

require recipes-bsp/u-boot/u-boot.inc
#require u-boot-imx-common.inc
#require recipes-bsp/u-boot/u-boot-imx-common.inc

PROVIDES += "u-boot"
DEPENDS += "bison-native"
#DEPENDS += "dtc-native"

SRCBRANCH = "kuk_imx_v2019.04_5.4.3_2.0.0"
SRCPROTO  = "ssh"
UBOOT_SRC = "git://git@gitlab.keith-koep.com:30001/imx/uboot-imx.git"
SRC_URI   = "${UBOOT_SRC};protocol=${SRCPROTO};branch=${SRCBRANCH}"
SRCREV = "${AUTOREV}"

LICENSE = "GPLv2+"
LIC_FILES_CHKSUM = "file://Licenses/gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263"

S = "${WORKDIR}/git"
B = "${WORKDIR}/build"

COMPATIBLE_MACHINE = "(mx7|mx8|mx8m)"

UBOOT_INITIAL_ENV = ""


# borrowed from u-boot-imx_2020.04.bb
BOOT_TOOLS = "imx-boot-tools"

do_deploy_append_mx8m () {
    # Deploy u-boot-nodtb.bin and fsl-imx8mq-XX.dtb, to be packaged in boot binary by imx-boot
    if [ -n "${UBOOT_CONFIG}" ]
    then
        for config in ${UBOOT_MACHINE}; do
            i=$(expr $i + 1);
            for type in ${UBOOT_CONFIG}; do
                j=$(expr $j + 1);
                if [ $j -eq $i ]
                then
                    install -d ${DEPLOYDIR}/${BOOT_TOOLS}
                    install -m 0777 ${B}/${config}/arch/arm/dts/${UBOOT_DTB_NAME}  ${DEPLOYDIR}/${BOOT_TOOLS}
                    install -m 0777 ${B}/${config}/u-boot-nodtb.bin  ${DEPLOYDIR}/${BOOT_TOOLS}/u-boot-nodtb.bin-${MACHINE}-${type}
                fi
            done
            unset  j
        done
        unset  i
    fi

}
